
TYPO3.Flow - Bug # 36516

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Package
Created: 2012-04-24 Assigned To: Robert Lemke
Updated: 2012-04-25 Due date:
PHP Version: 5.3
Has patch: No
Complexity: easy
Affected Flow version: Git master
Subject: PackageStates.php are written on every request
Description

As it seems, the PackageStates.php file is re-written on every request (in development context), even if no related data has changed.

Associated revisions
Revision 75d4bea5 - 2012-04-24 16:33 - Robert Lemke

[BUGFIX] Don't rewrite PackageStates.php if not necessary

This fix adjusts a comparison so that the PackageStates.php
file is only written if truly necessary.

Change-Id: I38b4c85c480c1ce6253df49ed045df9d276feb18
Resolves: #36516
Releases: 1.1

History
#1 - 2012-04-24 15:54 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10738

#2 - 2012-04-24 16:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10738

#3 - 2012-04-25 02:38 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:75d4bea5179322ee2a8f0b634cb4b4ae42721d06.
